List Submissions
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/submissions \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/submissions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"number": "SUB-2024-001",
"name": "Acme Corp Submission",
"status": "quoted",
"type": "new_business",
"primaryInsuredName": "Acme Corporation",
"applicationId": "550e8400-e29b-41d4-a716-446655440010",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-16T14:20:00.000Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"number": "SUB-2024-002",
"name": null,
"status": "in_progress",
"type": "renewal",
"primaryInsuredName": "XYZ Healthcare",
"applicationId": "550e8400-e29b-41d4-a716-446655440011",
"createdAt": "2024-01-10T08:00:00.000Z",
"updatedAt": null
}
],
"totalCount": 150
}Submissions
List Submissions
Returns a paginated list of submissions for the company. Filter by status, type, or search text.
Required permission: company.submission:read
GET
/
api
/
external
/
companies
/
{companyId}
/
submissions
List Submissions
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Query Parameters
Filter by status: in_progress, submitted, quote_in_progress, quoted, bound, declined, expired, cancelled
Filter by submission type
Available options:
new_business, renewal, endorsement, cancellation Search across quote number, description, and other text fields
Field to sort by (default createdAt)
Available options:
createdAt, updatedAt, primaryInsuredName, number, status, type Sort direction (default desc)
Available options:
asc, desc Page number (1-based, default 1, page size 50)
Required range:
x >= 1Was this page helpful?
